com.streambase.liveview.server.table.plugin

## Interface TableProviderParameters

- All Known Implementing Classes:
    TableProviderControlImpl

      public interface TableProviderParameters

  This contains the arguments that were passed to your Table in the LVConf or the Web Service

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDouble(String parameterKey, double defaultValue)` Get the first parameter with this key, interpreted as an double.
    `int` | `getInt(String parameterKey, int defaultValue)` Get the first parameter with this key, interpreted as an integer.
    `Set<String>` | `getKeys()` Get all the keys that were specified.
    `List<String>` | `getMultivalue(String parameterKey)` For keys that might appear more than once, this will return all of the values for that key.
    `String` | `getString(String parameterKey, String defaultValue)` Get the first parameter with this key, trimmed.

- - ### Method Detail

    - #### getString

          String getString(String parameterKey,
                           String defaultValue)

      Get the first parameter with this key, trimmed. Note that if the value exists but is empty, it will return the empty string, not the defaultValue.
      Parameters:
        `parameterKey` -
        `defaultValue` -
      Returns:
        String value of the first parameter with that key, or the defaultValue if there weren't any.

    - #### getInt

          int getInt(String parameterKey,
                     int defaultValue)

      Get the first parameter with this key, interpreted as an integer. If the parameter does not exist, or if it can't be interpreted as an integer, return the defaultValue
      Parameters:
        `parameterKey` -
        `defaultValue` -
      Returns:
        int value of the first parameter with that key, or the defaultValue if there weren't any or if it isn't an int.

    - #### getDouble

          double getDouble(String parameterKey,
                           double defaultValue)

      Get the first parameter with this key, interpreted as an double. If the parameter does not exist, or if it can't be interpreted as a double, return the defaultValue
      Parameters:
        `parameterKey` -
        `defaultValue` -
      Returns:
        double value of the first parameter with that key, or the defaultValue if there weren't any or if it isn't a double.

    - #### getMultivalue

          List<String> getMultivalue(String parameterKey)

      For keys that might appear more than once, this will return all of the values for that key.
      Parameters:
        `parameterKey` -
      Returns:
        a list, possibly empty, of all values that had that key, in the order that they existed in the Parameters.

    - #### getKeys

          Set<String> getKeys()

      Get all the keys that were specified.
      Returns:

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.